<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mikko Linko - Digital Fabrication</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }

        header {
            background-color: #333;
            color: #fff;
            padding: 10px;
            text-align: center;
        }

        p {
            width: 800px;
        }

        img {
            width: 1000px;
        }

        nav {
            background-color: #eee;
            display: flex;
            justify-content: space-around;
            align-items: center;
            height: 50px;
        }

        nav a {
            text-decoration: none;
            color: #333;
            font-weight: bold;
        }

        nav a.selected {
            color: #ff0000; /* Change to the desired color */
        }

        section {
            display: flex;
            padding: 20px;
        }

        ul {
            list-style-type: none;
            padding: 0;
            margin-right: 10px;
            width: 100px;
            position: fixed;
        }

        ul li {
            margin-bottom: 10px;
        }

        div {
            flex: 1;
            margin-left: 100px
        }

        div h2{
            margin-top: 100px; /* Adjust the margin as needed */
        }
    </style>
</head>
<body>

<header id="top">
    <h1>Mikko Linko - Digital Fabrication</h1>
    <nav>
        <a href="index.html" class="selected">Weekly Assignements</a>
        <a href="final_project.html">Final Project</a>
        <a href="about_me.html">About Me</a>
        <a href="previous_projects.html">Previous Projects</a>
    </nav>
</header>

<section>
    <ul>
        <li><a href="#top">Top</a></li>
        <li><a href="#week1">Week 1</a></li>
        <li><a href="#week2">Week 2</a></li>
        <li><a href="#week3">Week 3</a></li>
        <li><a href="#week4">Week 4</a></li>
        <li><a href="#week5">Week 5</a></li>
        <li><a href="#week6">Week 6</a></li>
        <li><a href="#week7">Week 7</a></li>
        <li><a href="#week8">Week 8</a></li>
        <li><a href="#week9">Week 9</a></li>
        <li><a href="#week10">Week 10</a></li>
        <li><a href="#week11">Week 11</a></li>
        <li><a href="#week12">Week 12</a></li>
        <li><a href="#week13">Week 13</a></li>
        <li><a href="#week14">Week 14</a></li>
        <!-- Add more weeks as needed -->
    </ul>

    <div>
        <h2 id="week1">Week 1</h2>
        <p>The first weekly assignement was to create a simple website and publish it.
          I have very limited knowledge of html CSS so I decided to use chatGPT to guide me 
          through the process, it did help me in the process immensly and I atleast was proficient
          enough to edit the outcome to suit my needs. While reading through the html atleast
          most of it made sense.</p>

        <h2 id="week2">Week 2</h2>

        <p>In the second week I made some changes to the page adding different categories.
        To make the testing faster I started using https://tiiny.host/test-html/ to quickly
        test out my changes. I added to the side a list of weeks which will be later used
        to navigate. I should also figure out how to make the top static.
        As for the final project, that will be explained on the final project page</p>

        <h2 id="week3">Week 3 - Project Management</h2>

        <p>I started setting my repository for better project management by adding an SSH key to my
            computer and account, while the <a href="https://docs.gitlab.com/ee/user/ssh.html">tutorial</a>
            is pretty good at explaining the process, the lack of screenshots to elaborate certain
            parts is pretty frustrating.
            
            I already had Git Bash installed on my computer and I had used Git in a limited capacity 
            before, so most of this wasn't completely new to me, but I am in no way comfortable or
            familiar with everything. Generating the keys as described by the tutorial was not
            bad at all, but adding the key to my GitLab account was really
            confusing. As the tutorial describes:"On the left sidebar, select your avatar.", it
            fails to point out that the "avatar" as set by default is just some random circle
            and in no way recognizable as an avatar, a simple screeenshot to point that out would
            have saved multiple minutes.
        </p>
        <img src="Images/avatar_example.jpg" alt="avatar_example">
        <p>After that the process was pretty straight forward.
        </p>
        <p>Copying my repository to a local folder was done by using the command git clone,
            which worked without any issues.
        </p>
        <p>After setting up my repository I stareted to look into the images I had previously
            used on my project website. I had not made any attempts at managing the images
            quality or filesize outside of the sketches for the final project.
        </p>
        <img src="Images/file_sizes.jpg" alt="file_sizes">
        <p>The file sizes are pretty much all over the place as you can see, and the file 
            names are not particularily descriptive.
        </p>
        <p>I used paint.net to do compress the files.
        </p>
        <img src="Images/compression_example.jpg" alt="compression_example">
        <p>
        </p>
        <img src="Images/compressed_files_example.jpg" alt="compressed_files_example">
        <p>this is how the file sizes looked after the compression, the only file that I did not compress
            was a gif, that was already "deepfried" and I need to figure out if there is anything
            I can do about it. I have also realized that my website layout is starting to get
            very disorganized and sub-optimal, and I need to update it at some point.
        </p>

        <h2 id="week4">Week 4 - Computer-Aided Design</h2>

        <p>For the vector drawing I tried out InkScape, and made a little logo for my final project.
            Using InkScape felt a bit cumbersome but I managed to do what I wanted.

            <img src="Images/logoInkscapeSS.jpg" alt="logoInkscapeSS">
        <p> Screenshot of Inkscape.
        </p>
        </p>

        <p>For the CAD assignement I decided to try out Blender, and more specifically
            geometry nodes. I do have plenty of experience using Rhino and Solidworks, the goal was
            to learn a new CAD software. While I do have some experience using Blender I have 
            never used it for anything paramateric, or even design work.
            
            I started by watcing two part tutorial series by Blender guru.
            <a href="https://www.youtube.com/watch?v=aO0eUnu0hO0">Part 1</a>
            <a href="https://www.youtube.com/watch?v=V10GBrmYIDM">Part 2</a>

            The videos explained well enough the very basics, the workflow seemed close enough
            to grasshopper so it shouldn't be too hard to translate my previous skills.
            
            My goal is to create a case for the main unit of my final project. I have done a sketch
            of it before, so I know atleast where to start. As I will most likely be using Rhino
            when actually doing the 3D models for the project I wont be too concerned about the
            minor details here. As for the parametric part of the modeling I want to have 
            the following attributes as parameters: case X and Y size (as in it's top down view, both values should be equal), 
            case height, case material thickness and openings for X and Y gantries (location and size).
        </p>
        <img src="Images/blender_parametric/bottom_nodes.jpg" alt="bottom nodes">
        <img src="Images/blender_parametric/bottom_view.jpg" alt="bottom view">
        <p>Bottom of the case.
        </p>
        <img src="Images/blender_parametric/box_nodes.jpg" alt="box nodes">
        <img src="Images/blender_parametric/box_view.jpg" alt="box view">
        <p>The bottom formed to a complete box.
        </p>
        <img src="Images/blender_parametric/gantry_opening_nodes.jpg" alt="gantry opening nodes">
        <img src="Images/blender_parametric/gantry_opening_view.jpg" alt="gantry opening view">
        <p>Openings made for the gantries
        </p>
        <img src="Images/blender_parametric/case_final_nodes.jpg" alt="case fina nodes">
        <img src="Images/blender_parametric/case_final_view.jpg" alt="case final view">
        <img src="Images/blender_parametric/case_final_params.jpg" alt="case final params">
        <p>The end results with the different parameters listed.
        </p>
        <p>Site updated so left side page markers are fixed and link correctly.
        </p>

        <h2 id="week5">Week 5 - Computer-Controlled Cutting</h2>

        <p>Group introduction <a href="https://debkumagai.gitlab.io/digital-fabrication/group-assignments.html">documentation</a> was done by Deborah Kumagai.
        </p>

        <p>For the laser cutting part of the assignment, I wanted to create a modular construction 
            toy, like Lego or Meccano. The first thing that I had to solve was how would the system 
            operate, but as I had previous experience in creating slotted 3d structures 
            <a href="previous_projects.html">slotted 3d structures</a> I decided to go with that. From my experience some of the 
            things that should be considered are, direction of assembly, material strength, material 
            flex and joints. Because the product is considered a toy, using it should be intuitive 
            and fun, and that is where direction of assembly is key. Generally, with slotted joints 
            you can add curvature to parts and the orientation of the joints, but only from one 
            direction.
        </p>
        <img src="Images\impossibleSlotExample.jpg" alt="impossibleSlotExample">
        <p>Assuming this assembly had radial slots, assembling it would be impossible.
        </p>

        <p>I set out to create parts that had slots mainly on one side, but had to make some 
            exceptions, as it turned out it is very impractical to create structures in three 
            axes like that. I decided to create a smaller subset of <q>connector parts</q> that would 
            have slots on both sides to facilitate creating structures that wouldn&#39;t otherwise work.
        </p>
        <img src="Images\normalParts.jpg" alt="normalParts">
        <p><q>Normal parts</q>
        </p>
        <img src="Images\connectorParts.jpg" alt="connectorlarts">
        <p><q>Connector parts</q>
        </p>
        <p>Material strength and flexibility in the case of cardboard are very much tied together, 
            and the main thing that you can change is how the parts are orientated with the 
            corrugations. In my case the weakest point of a part would be at the joint where 
            there is the least material, so making the joins perpendicular to the corrugations 
            was a clear choice. Making the joints perpendicular to the corrugations also meant 
            that longer parts are more rigid.
        </p>
        <p>For the joints I decided that simple slots would be enough when well enough fitted, if 
            the material was something else like plywood or plastic, creating some kind of locks to 
            the joints would be a good idea, but making small features in cardboard would not 
            really work, and due to the nature of cardboard as a material, it&#39;s clear that the 
            parts are not particularly long lasting, so it is pointless to consider their longevity 
            in play.
        </p>
        <p>While I wanted the individual parts to be as generic as possible to enable creating 
            various things form the construction kit, it turned out hard to just create parts 
            without a purpose or a set goal, so I decided to have a specific model to build towards, 
            a model of a helicopter. By having a discernible goal, it was a lot easier to create 
            parts that were needed to construct the kit.
        </p>
        <img src="Images\connectorParts.jpg" alt="model">
        <p>Model
        </p>
        <p>To laser cut the parts I initially made them with grasshopper, by generating parts from 
            just curves, however that turned out to be very clunky and adjusting the result took 
            more time than just drawing them myself mostly. In the end the only thing that I used 
            grasshopper for the parts was to create the slots, so I could adjust their width. To 
            make sure I had a good and tight fit with the slots I created an adjustable 
            <q>combtest</q> with grasshopper.
        </p>
        <img src="Images\combtestviewport.jpg" alt="combtestviewport">
        <p>Combtest
        </p>
        <img src="Images\combGHoverview.jpg" alt="combGHoverview">
        <p>Overview of the grasshopper for combtest.
        </p>
        <img src="Images\combGHdetails.jpg" alt="combGHdetails">
        <p>Some of the details of the grasshopper for combtest.
        </p>
        <p>The grasshopper combest allowed me to create a test where I could adjust the depth of 
            the slots, and by what increments the slots width would increase/decrease, I tested 
            it with the accuracy of 0.2mm and it worked well enough. I went with the 3.4mm slots 
            according to combest, which was in reality a bit over 3.6mm.
        </p>
        <p>For the cutting itself I did have a bit of hard time figuring out proper settings for 
            the laser cutter, and When I finally found the settings that worked for a few parts, 
            I then went and cut the rest of the parts with the same settings. However, as the 
            settings worked perfectly for the first few parts, the latter parts did not cut out 
            properly, and I had to manually free them with a hobby knife which took a while.
        </p>
        <img src="Images\LaserCutP1.jpg" alt="LaserCutP1">
        <p>Some of the parts just fell out, but most had to be cut out manually. 
        </p>
        <p>Most of the actual build went as planned, but there were a couple of design errors in 
            the parts, the fitment in the rotating parts didn&#39;t work and I had to make some changes 
            to the model, and some of the curved parts were incorrectly sized. Assembling the kit 
            just according to 3d model was pretty easy, but when handling the cut cardboard edges 
            constantly, I felt like even the slightest wrong move would result in a paper cut, 
            which surprisingly didn&#39;t happen. I made some slight adjustments to the end model 
            and was surprised that I could <q>freestyle</q> a bit and making adjustments was intuitive 
            to at least some degree. I still think that the building process takes too much 
            planning before you even start and thus would not be a good toy. The model was rigid 
            enough to be handled after construction without fear of it falling apart.
        </p>
        <img src="Images\LaserCutFront.jpg" alt="LaserCutFront">
        <p>Front view.
        </p>
        <img src="Images\LaserCutBack.jpg" alt="LaserCutBack">
        <p>Back view.
        </p>
        <p>For the vinyl cutting I made a small logo for my final project. It took me a bit of 
            figuring out how to export files to the cutting program, but other than that the 
            process was smooth.
        </p>
        <img src="Images\VinylCut1.jpg" alt="VinylCut1">
        <p>Straght from the cutter.
        </p>
        <img src="Images\VinylCut2.jpg" alt="VinylCut2">
        <p>Sticker added to notebook.
        </p>

        <h2 id="week6">Week 6 - Electronics Production</h2>

        <p>Group introduction <a href="https://digital-fabrication-portfolio-miro-keimioniemi-a2f2c11a6e705b8f.gitlab.io/p/electronics-production/">documentation</a> was done by Oiva Juhani Kunnamo.

        <p>Milling the PCB went well without any major problems and the board turned out fine, 
            but populating the board was quite the challenge.
        </p>
        <img src="Images\boardMilling.jpg" alt="boardMilling">
        <p>Milling the board.
        </p>
        <p>I had some previous experience in soldering, but using SMDs was new to me, after the 
            first pass of soldering all of the components except for the Xiao RP2040 I could only 
            get the D0 output to work. After going through the solders of the board again, I tested 
            the connections, which were mostly fine, except one of the legs of the female header 
            had a connection to the large blank copper area of the board, and one of the LEDS was 
            mounted the wrong way. While fixing the LED and removing the solder, one of the copper 
            pads connected to the board was detached partially from the board, but I managed to 
            salvage the situation. After the operation I got the D7 output with the led working as 
            well, however I was not able to run the test button script on the board.
        </p>
        <p>I then soldered the XIAO board to the headers, and tried to run the example button 
            script, and still nothing. I wrote a small script to test the lights, as I thought 
            the LEDs are mounted on D0, D6 and D7 outputs, but I did not find a ground from 
            D6 so maybe it wasn&#39;t supposed to light up at all.
        </p>
        <img src="Images\ScriptSS.jpg" alt="ScriptSS">
        <p>Screenshot of the script I wrote.
        </p>
        <img src="Images\LedOff.jpg" alt="LedOff">
        <p>LEDs off when the button is not held.
        </p>
        <img src="Images\LedOn.jpg" alt="LedOn">
        <p>LEDs light up when button is held
        </p>
        <p>In the end I am not sure what I was doing wrong with the example script, but I think
            my board is atleast working fine?
        </p>

        <h2 id="week7">Week 7 - 3D Scanning and Printing</h2>

        <p>Group introduction <a href="https://veikkoraty.gitlab.io/digital-fabrication/assignments/week7/week7_group/">documentation</a> was done by Veikko Lauri Iivari R&auml;ty.

        <p>3D scanning with the Creality Ferret went mostly smoothly, though I did have some 
            problems with it.
        </p>
        <img src="Images\ScanSS1.jpg" alt="3DscanScreenShot1">
        <p>Everything going well.
        </p>
        <img src="Images\ScanSS2.jpg" alt="3DscanScreenShot2">
        <p>Everything not going well.
        </p>
        <p><q>Tracking lost</q> turned out to be the main issue while scanning. Most of the time I  
            could just backtrack and continue scanning, but on couple of occasions the scanner 
            started to create a weird overlapping secondary model and the whole result was 
            unrecognizable.     
        </p>
        <img src="Images\3dscaninblender.jpg" alt="3DscanInBlender">
        <p>3D scan imported to Blender.
        </p>
        <img src="Images\hatPhoto.jpg" alt="hatPhoto">
        <p>Photo of the object.
        </p>
        <p>For the 3D printing I wanted to really challenge myself, and not just validate my 
            previous knowledge. I have a 3D printer myself so just printing something would be 
            very trivial, instead I set out to design and print a <q>print in place</q> model of a 
            planetary gearbox.
        </p>
        <img src="Images\PrinterSetup.jpg" alt="PrinterSetup">
        <p>Printer that I used here was Creality Ender 3 v2
        </p>
        <p>The first step was to create just a singular gear that would rotate, the problems with a 
            print in place gear are, how to make it not attach to the parts beneath it, how to
            make it able to rotate freely and how to make it not fall out of its axle. For the 
            gear profile I used an 
            <a href="https://evolventdesign.com/pages/spur-gear-generator">online generator</a>.
        </p>
        <img src="Images\GeneratorSS.jpg" alt="GeneratorSS">
        <p><a href="https://evolventdesign.com/pages/spur-gear-generator">Online gear generator.</a>
        </p>
        <p>I tried with very small prints to just leave a gap between the gear and its base, 
            I was using 0.12mm layers, so I tried leaving a 0.12mm, 0.24mm and 0.48mm gaps between 
            the gear and its base. None of those worked on a small scale so I decided to scale up 
            from a 1cm diameter gear to a 2cm diameter.
        </p>
        <img src="Images\SmallGears.jpg" alt="SmallGears">
        <p>Initial small gears.
        </p>
        <p>Scaling up worked to the extent that I could get the gears moving with a bit of 
            persuasion from a knife, but none of them broke free without the use of tools. 
            The bottom of the gear itself was also a mess, which informed me that creating such 
            a large gap would be bad for the print quality. I tried adding small radial strips 
            of filament under the gear which would hopefully just wear out in use and enable 
            the freeing of the gear. I also started to minimize the contact patch of the gear 
            to the base but making the gears bottom heavily tapered. 
        </p>
        <img src="Images\LargeGears.jpg" alt="LargeGears">
        <p>Larger gears.
        </p>
        <p>Printing out the gearbox did not work out particularly well, even at first glance there 
            was a lot of stringing visible and weird blobs of over extrusion. When I tried to get 
            the mechanism to move it didn&#39;t work at all. After some persuasion with pliers, 
            I think I got all the smaller gears to move a bit, but due to the outer casing and 
            carrier being locked together I was not sure. Looking at the bottom of the print it 
            was clear that some squishing had happened and that was the most likely cause why the 
            carrier and outer casing were locked, I tried to scrape them free with a knife but 
            still couldn&#39;t get them to move. The 3D design did not account for bottom layer squish 
            at all, so in next version that could most likely be fixed.
        </p>
        <img src="Images\SlicerSS.jpg" alt="SlicerSS">
        <p>View of slicer.
        </p>
        <img src="Images\PlanetaryGearbox.jpg" alt="PlanetaryGearbox">
        <p>PlanetaryGearbox.
        </p>

        <h2 id="week8">Week 8 - Embedded Programming</h2>

        <p>Memory game
            Neopixel lights up in different colors with corresponding blinks, pink = single blink, 
            white = long blink, blue = double blink. Neopixel shows a sequence of blinks, after 
            it has run through the sequence the player needs to repeat it with button presses 
            that resemble the sequence. After player has done their sequence the neopixel will 
            blink green if the sequence was correct, or red if it wasn&#39;t, it will also blink 
            red if inputting the sequence took too long timing the player out. If the player did 
            the correct sequence, a new longer sequence will start repeating the process, if the 
            player was incorrect the sequence will start from the beginning again.  
        </p>

        <p>First issue I encountered with the neopixel was that if you turn it on, you need a 
            small delay in it, otherwise it would not reliably function. 
        </p>
        <img src="Images\ScriptSS.jpg" alt="scriptSS">

        <p>After that I wrote some code to recognize button presses, and not just recognize if 
            the button is held or not. I made it so it compares the current and previous button 
            states and determines based on that what is happening with the button, this way I 
            can recognize four different states from the button: button is held, button is not 
            held, button is pressed, and button is released, but currently I only need to detect 
            when the button is pressed and released. I also added a small snippet to recognize if 
            the button is held for over 200ms which would translate to a long press. 
        </p>
        <img src="Images\buttonClickSS.jpg" alt="buttonClickSS">

        <p>Then I made it so different types of button presses are translated to different 
            inputs, one short press is 0, double click is 1 and long press is 2, this also 
            records them to a variable called <q>inputSeq</q> so it can be later checked if it 
            matches the given sequence. 
        </p>
        <img src="Images\inputTranslateSS.jpg" alt="inputTranslateSS">

        <p>Then I made it so the neopixel flashes lights according to a given sequence, it can 
            show a short blink, double blink and long blink, all of the different blinks have 
            different colors as well. The blinks work with delay instead of a timer, which I 
            know is a suboptimal way of doing it, but a lot faster for me in this context. 
        </p>
        <img src="Images\blinkSeqSS.jpg" alt="blinkSeqSS">
        
        <p>Then I made a command to create a new sequence consisting of numbers 0,1 and 2 which 
            can then be used to flash the lights.
        </p>
        <img src="Images\newSeqSS.jpg" alt="newSeqSS">

        <p>Then I made it so it compares the sequence generated by the command <q>new seq</q> 
            and the sequence given by button clicks.
        </p>
        <img src="Images\compareSS.jpg" alt="compareSS">
        
        <p>Link to <a href="https://gitlab.com/mikko.aleksis.linko/digital-fabrication/-/blob/main/Files/memory_game/memory_game.ino?ref_type=heads">file</a>
        </p>

        <h2 id="week9">Week 9 - Computer-Controlled Machining
        </h2>

        <p> For the large format CNC machining I decided to design a nightstand, I decided on it 
            due to the 1200x1200mm material limitations, as anything larger would have been impractical.
        </p>
        <img src="Images\CNCsketch.jpg" alt="CNCsketch">
        <p> A quick sketch in rhino what the nightstand could look like. The dimensions are
            800x400x600mm.
        </p>
        <p>I decided to instead create a standing desk for my kitchen and adjusted omse of the measurements, mainly makign the legs longer.
        </p>
        <img src="Images\TableMachiningFinished.jpg" alt="TableMachiningFinished">
        <img src="Images\TableJointBottom2.jpg" alt="TableJointBottom2">
        <img src="Images\TableJointTop.jpg" alt="TableJointTop">
        <img src="Images\TableStanding.jpg" alt="TableStanding">
        <p>
            The table fit together very nicely, but it ended uo being a bit too flimsy, t can be used as a table but only barely.
            The machining also ripped the plywood in multiple places so the edges are a bit scuffed.
            Gluing the table together might make it more sturdier which could help, and I could also try to fill the ripped gaps in the table and paint it, I am unsure if it is worth it.
        </p>


        <h2 id="week10">Week 10 - Electronics Design
        </h2>

        <p>In electornics design I set out to create a board that has a bunch of buttons, which 
            could be used for example to control a motor, while connecting singular buttons to
            inputs on the board would have been easier, it takes a lot of those precious input slots
            to have even a few buttons, so instead I wanted to find a way to connect multiple 
            buttons to a singular input. 
        </p>

        <p> <a href="https://www.youtube.com/watch?v=Y23vMfynUJ0">A video by Michale Klements</a> proved to be 
            a wonderful tutorial how to do what I was trying to do, after understanding the basics
            I started with the board design.
        </p>

        <p>The board is very basic, it has 3 buttons with resistors connected to A0, and A1-A3
            each have a LED and a resistor attached to them, D1-D6 are connected to a connector,
            and the rest are connected to a series of holes.
        </p>
        <img src="Images\SwitchBoardSchSS.jpg" alt="SwitchBoardSchSS">
        <img src="Images\SwitchBoardschButtonSS.jpg" alt="SwitchBoardschButtonSS">

        <p>After the board was done I checked from serial what the input values from A0 were.
            Without pressing any of the buttons the value was 3, pressing the 2nd button returned 82
            and third button 1018. THe first button did not read anything other than 3, so it was
            indistinguishable from the base value, which is because I made a mistake and did not
            include a resistor with it. Pressing 2 and 3 read 1018, and pressing 1 and 2 resulted
            in 3, but when 1 and 3 or all of the buttons were pressed the serial monitor gets disconnected.
        </p>

        <p>Based on the values I created a small script that turned on the light connected to A1-A3.
        </p>
        <img src="Images\SwitchBoardScriptSS.jpg" alt="SwitchBoardScriptSS">

        <h2 id="week11">Week 11 - Output Devices
        </h2>

        <h2 id="week12">Week 12 - Input Devices
        </h2>

        <h2 id="week13">Week 13 - Moulding and casting
        </h2>

        <p>
            For the moulding and casting week I set out to create small pegs to fill the gaps in my previously made table.
            First I made the parts in rhino, then I created the mould with a boolean difference, and then again made the master mould with another boolean difference.
        </p>
        <img src="Images\rhino_moulds.jpg" alt="rhino_moulds">

        <p>
            I used rhinos analysis tool sto calculate the volume of the mould, then multiplied it with the density of the mould material, and then added some extra to create safe margins.
        </p>
        <img src="Images\rhino_analysis.jpg" alt="rhino_analysis">

        <p>
            The print itself took around 12 hours with 0.12mm layer height-
        </p>

        <img src="Images\print_mastermould.jpg" alt="print_mastermould">

        <p>
            Casting the mould didn't provide any problems, the only notable thing was that I had counted sizable margins for extra material, and it still only barely filled the mould.
        </p>

        <img src="Images\mastermould_cast.jpg" alt="mastermould_cast">

        <p>
            the first batch I casted did not turn out well, there was too little material and it was too uneven.
        </p>

        <img src="Images\cast1.jpg" alt="cast1">
        <img src="Images\cast1back.jpg" alt="cast1back">
        
        <p>
            The sexond cast turned out better, but it was maybe too filled, and it left quite a lot of brim/flashing, which will turn out to be a problem later on.
        </p>

        <img src="Images\cast2back.jpg" alt="cast2back">

        <p> 
            I had to separate the parts with a hobby knife, and doing that I found out the plastic was pretty soft, maybe too soft due to inaccuracies in measuring the 2 components?
        </p>

        <img src="Images\pegs_separated.jpg" alt="cast2separated">

        <p>
            When trying to place the pegs, only 1 of the fit properly, most of them didnt fit and one even broke, I am assuming it was due to the extra material which made them a bit thicker.
        </p>

        <img src="Images\pegs_in_place.jpg" alt="cast1">
        <img src="Images\pegs1.jpg" alt="cast1">

        <h2 id="week14">Week 14 - Networking and communications
        </h2>
        

          
    </div>
</section>

</body>
</html>
